Subject: [PATCH] Revert "dmaengine: pxa_dma: add support for legacy transition"

From: [email-masked] (Arnd Bergmann)
Date: Tue, 18 Oct 2016 10:57:14 +0200

On Tuesday, October 18, 2016 8:46:32 AM CEST Robert Jarzmik wrote:
> This reverts commit c91134d9194478144ba579ca6efeddf628055650.
> 
> The conversion of the pxa architecture is now finished for all
> drivers, so this functions has fullfilled its purpose and can
> now be removed.
> 
> Signed-off-by: Robert Jarzmik <[email-masked]>

Nice!

That reminds me, do you have plans to work on the conversion away from
IORESOURCE_DMA and pxad_filter_fn towards the dma_slave_map interface?

I see that all pxa drivers already use dma_request_slave_channel_compat,
so this should be fairly straightforward to do, changing only the
driver and the arch/arm/mach-pxa/devices.c file.

Acked-by: Arnd Bergmann <[email-masked]>